Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault

From: Jimmy Aguilar Mena <[email-masked]>
Date: Mon, 20 Jan 2020 14:41:37 +0100

On Mon, Jan 20, 2020 at 12:48:38PM +0100, Stefan Kangas wrote:
>Ergus <[email-masked]> writes:
>
>> I haven't try snake anymore for a while. I Just tried it again and the
>> segfault is not there anymore (on master with my config and with
>> emacs -Q).
>
>Thanks.  Do you have a recipe for how you try to reproduce this?
>
rm -rf ~/.emacs.d/games
emacs -Q
M-x snake
(wait until it looses and asks to create directory)
reply: n

Now there is a message (when previously there was a segfault):
Error running timer ‘snake-update-game’: (error "Canceled")

>Have you seen this crash since?
>
Since I reported the issue more or less.

>> This is mainly because it always creates the directory
>> ~/.emacs.d/games independently of my answer when it asks. Is this
>> somehow intended or just an issue hiding the other?
>
>Are you saying that the reason for the crash was a missing directory?
>If so, could you please explain how you have arrived at this
>conclusion?
>
Because the error was triggered when I used to reply no to the create
question.

When I said yes there was not segfault anymore.

>Best regards,
>Stefan Kangas

Best,
Ergus